package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataGenerationConfig;

import java.util.List;
/**
 * 
 * @ClassName: TabDataGenerationConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:41
 */
public interface TabDataGenerationConfigMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataGenerationConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataGenerationConfig record);

    /**
     * 根据主键查询
     *
     * @param generationConfigId 主键
     * @return 实体对象
     */
    TabDataGenerationConfig selectByPrimaryKey(Integer generationConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataGenerationConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataGenerationConfig record);
    /**
     * deleteGenerationConfig
     * @Title: deleteGenerationConfig
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return void
     * @throws
     */
    void deleteGenerationConfig(Integer enterpriseId);
    /**
     * listGenerationByEnterpriseId
     * @Title: listGenerationByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabDataGenerationConfig>
     * @throws
     */
    List<TabDataGenerationConfig> listGenerationByEnterpriseId(Integer enterpriseId);
}